Listar planos de faturamento
curl --request GET \
--url https://api.truthlocks.com/v1/billing/plansconst options = {method: 'GET'};
fetch('https://api.truthlocks.com/v1/billing/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/plans"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/plans"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"name": "<string>",
"price": 123,
"currency": "<string>"
}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Faturamento
Listar planos
Retorna os níveis de plano disponíveis com preços, recursos e cotas.
GET
/
v1
/
billing
/
plans
Listar planos de faturamento
curl --request GET \
--url https://api.truthlocks.com/v1/billing/plansconst options = {method: 'GET'};
fetch('https://api.truthlocks.com/v1/billing/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/plans"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/plans"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"name": "<string>",
"price": 123,
"currency": "<string>"
}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}GET /v1/billing/plans
Resposta
Retorna um array de objetos de plano em ordem do gratuito ao empresarial.Identificador do plano usado nas respostas de checkout e assinatura (por exemplo,
plan_developer, plan_business).Preço base mensal em USD, incluindo qualquer ajuste regional de catálogo aplicável. Valores fracionários em dólar são possíveis. Um preço base mensal zero não significa que o uso é gratuito.
Para verificar quanto custaria um padrão de uso específico, use o endpoint plan estimator.

